---
title: MediaKeyStatusMap.keys()
slug: Web/API/MediaKeyStatusMap/keys
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - keys()
---
<p>{{APIRef("EncryptedMediaExtensions API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>keys</code></strong> property of the {{domxref("MediaKeyStatusMap")}} interface returns a new Iterator object, containing keys for each element in the status map, in insertion order</span>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>iterator</em> = <em>mediaKeyStatusMap</em>.keys()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<p><span style="font-size: 1.714rem; font-weight: 200; letter-spacing: -0.021em; line-height: 1;">Returns</span></p>

<p>A new iterator.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.keys")}}</p>
</div>
